Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_iter_value()

## Synopsis

    const bson_value_t *
    bson_iter_value (bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the value for the currently observed type as a boxed type. This allows passing around the value without knowing the type at runtime.

If the bson_iter_t is further modified, the bson_value_t is invalidated.

## Returns

A bson_value_t that should not be modified or freed.